[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 5277: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 5277: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 5277: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
The Plugin Site • 32 and 64 Bit PlugIns in Same Editor
Page 1 of 1

32 and 64 Bit PlugIns in Same Editor

Posted: Fri Oct 17, 2014 6:35 am
by Edin Karcic
Is there a 64-bit image editor that can handle 32-bit Photoshop plugins (8bf) ?

There are a lot of very nice 32 but plugins, that we cannot use in modern 64-bit image editors.

## I got the idea from a unique audio editor, OcenAudio, that can handle both 32 and 64 bit VST plugins (I am not aware of any other audio editor that can do that).

Or how about some plugins converter, that can "transform" a 32-bit 8bf plugin into something with a "64-bit wrapper" so the plugin can be used with 64-bit image editors.

## I got this vague idea form a VST to DSP audio plugin converter by Christian Budde.

I am afraid that, being stuck in the 32-bit world, many very valuable 32-bit plugins will become irrelevant.

Re: 32 and 64 Bit PlugIns in Same Editor

Posted: Fri Oct 17, 2014 12:30 pm
by HaraldHeim
Launchbox can run 32-bit Photoshop plugins inside a 64-bit application. It supports many 32-bit plugins, but probably not all of them. See
http://www.alphaplugins.com/products/pr ... prod_id=19

Concerning 32-bit Photoshop plugins of the Filter Factory type you can import their filter code and render it with Plugin Galaxy 3 for Windows (which works in 64-bit applications). You even get a higher quality results than with the original plugins in many cases. See
http://www.thepluginsite.com/products/p ... index2.htm

Re: 32 and 64 Bit PlugIns in Same Editor

Posted: Fri Oct 17, 2014 3:49 pm
by Edin Karcic
Thanks, Harald !

I will play around with both, this is now a whole new dimension to me.

But just on first glance, both LaunchBox and Galaxy 3 seem to be "launchers", meaning You have to use the "middle man" every time You want to use a 32-bit plugin.

A true "converter", however, would speed up the work-flow. You would use the "middle man" only once (for each plugin), and then You could use the converted 8bf plugin directly from there on.

Forgive me, if I missed something in my beginner's ignorance. Even just having a "launcher" is already a major break-through.

Re: 32 and 64 Bit PlugIns in Same Editor

Posted: Fri Oct 17, 2014 4:03 pm
by HaraldHeim
Launchbox could offer the option to save a new plugin that would immediately run a certain 32-bit plugin without showing its own dialog. Best contact Alpha Plugins and suggest such a feature.

Plugin Galaxy 3, which was developed by myself, could theoretically offer an option for saving a new plugin that only uses a certain Filter Factory code. But I think it makes more sense to use the standard Plugin Galaxy UI, because it allows you to combine Filter Factory effects with each other and with many other effects. So such a feature is not planned.

Re: 32 and 64 Bit PlugIns in Same Editor

Posted: Sun Oct 19, 2014 12:53 pm
by null54
The plugin for can run both 32-bit and 64-bit filters.

Although as the plugins are launched from within the dialog of PSFilterPdn, the "middle man" problem exists for both 32-bit and 64-bit plugins.